# This config file is preset to what's needed in P5.
# There are more off-the-shelf config files available in the same folder as this file
http:
  secure: false
  port: 80

databases:
  # specify how to retrieve database passwords
  secrets:
    strategy: filecontent # read from a file
    # strategy: environment # read from an environment variable
  # list of databases and corresponding connection strings from /etc/tnsnames.ora
  # currently only 'development' and 'production' are supported
  connections:
    development:
      connectString: int2r
      secrets: <PATH_TO_PASSWORDS>/:name.txt
  # list of usernames that we have credentials for (aka it can be found in secure_path)
  # this holds per-environment lists, with the exception of global, which applies to all environments
  users:
    global:
      - cms_l1_hlt
      - cms_trg_l1_conf
      - cms_trg_r
      - cms_run_mode
      - cms_tcds_trg_pro
    # L1CE did not receive credentials for some subsystem users
    # We piggyback on other connections to solve the problem
    # We also say rude things about the maintainers
    overrides:
      cms_hlt_gdr: cms_trg_r
      cms_dt_elec_conf: cms_trg_r
      cms_rpc_conf: cms_trg_r

# set timouts for token (and associated database) session
# the l1ce-cern-oauth element in the web ui has auto-refresh
# logic for tokens, update its interval when you change this number
authentication:
  token_timeout: 20 # minutes
  oauth:
    redirect_uri: "http://__HOSTNAME__/api/v0/openid"
    client_id: "__OAUTH_CLIENT_ID__"
    secret_path: __PATH_TO_OAUTH_CLIENT_SECRET__
  roles:
    admin:
      - cms-cactus-admins
      - cms-l1t-operations
      - cms-l1t-technical-coordination
    cms:
      - cms-cactus-admins
      - cms-l1t-operations
      - cms-l1t-technical-coordination
      - cms-cactus
      - cms-l1osw
      - cms-l1t-conveners
      - cms-members
      - cms-online-cluster-users
      - cmsonline-users

notifications:
  emails: []

proxy:
  enabled: false
